/* DBTool A utility class
 * Copyright 2011 Michael Claudius, Inc. All Rights Reserved.
 * Version 1.0 Last modified 2011.04.16
 * All rights reserved
 */

package hoteldatabase2013;

import java.sql.*;
import java.io.*;
import java.util.*;

public class DBTool {

    private Connection con = null;
    private Statement stmt = null;
    private String login, passwd, url, driverClass;

//Default constructor
    public DBTool() {
        login = "root";
        passwd = "MikiYu";
        url = "jdbc:mysql://localhost:3306/hotelDB"; //data source
        driverClass = "com.mysql.jdbc.Driver";
        connect();
    }

// Customized constructor
    public DBTool(String url, String login, String passwd, String driverClass) {
        this.url = url;
        this.login = login;
        this.passwd = passwd;
        this.driverClass = driverClass;
        connect();
    }

// Establish connection and statement
    public void connect() {
        try {
            Class.forName(driverClass);
            con = DriverManager.getConnection(url, login, passwd);
            stmt = con.createStatement();
        } catch (java.lang.ClassNotFoundException ex) {
            System.err.print("ClassNotFoundException: ");
            System.err.println(ex.getMessage());
        } catch (SQLException ex) {
            System.err.print("Connection refused: ");
            System.err.println(ex.getMessage());
            close();
        }
    }


    public Statement getStatement() {
        return stmt;
    }

    public Connection getConnection() {
        return con;
    }

// Close connection and statement
    public void close() {
        try {
            if (stmt != null) {
                stmt.close();
            }
            if (con != null) {
                con.close();
            }
        } catch (SQLException ex) {
            System.err.println(ex.getMessage());
        }
    }

    public static void main(String args[]) throws SQLException {
        DBTool dbt = new DBTool();
        Statement stmt = dbt.getStatement();
        String sqlQuery = "select * from guest";
        ResultSet rs = stmt.executeQuery(sqlQuery);
        while (rs.next()) {
            System.out.println("column 1: " + rs.getInt(1));
            System.out.println("column 2: " + rs.getString("name"));
            System.out.println("column 3: " + rs.getString("address"));
        }
        dbt.close();

    }
}
